/* Copyright (c) 2008, Florent FAYOLLE


This file is part of Zenith

Zenith is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>. */

/* Header file */
#include "nsIGenericFactory.h"
#include "nsXPCOM.h"
#include "IHim.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <windows.h>
// {10b7a973-54cc-c8c0-74b8-cad449f2a804}
#define HIM_CID \
        { 0x10b7a973, 0x54cc, 0xc8c0, \
        { 0x74, 0xb8, 0xca, 0xd4, 0x49, 0xf2, 0xa8, 0x04 } }

#define HIM_CONTRACTID  "@zenith-extension.com/Him;1"
#define HIM_CLASSNAME   "Help in Motion"


class Him : public IHim
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_IHIM

  Him();
private:
  ~Him();
  POINT pos;
  int regX, regY;
protected:
	
  bool detectMouseMove();
  /* additional members */
};